<!DOCTYPE html>
<html lang="zh-cn">
<head>
    <meta name="viewport" content="width=device-width,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no">
    <link href="{{cdn_asset('/assets/css/bootstrap.min.css')}}" rel="stylesheet">
    <title>tijian</title>
    <script type="text/javascript">
        (function (doc, win) {
            var docEl = doc.documentElement,
                resizeEvt = 'orientationchange' in window ? 'orientationchange' : 'resize',
                recalc = function () {
                    var clientWidth = docEl.clientWidth;
                    if (!clientWidth) return;
                    if(clientWidth>=640){
                        docEl.style.fontSize = '100px';
                    }else{
                        docEl.style.fontSize = 100 * (clientWidth / 640) + 'px';
                    }
                };

            if (!doc.addEventListener) return;
            win.addEventListener(resizeEvt, recalc, false);
            doc.addEventListener('DOMContentLoaded', recalc, false);
        })(document, window);
    </script>
    <style type="text/css">
        .all{
            width: 100%;
            height: auto;
        }
        img{
            width: 50px;
            height: 50px;
            margin-top: 3px;
        }
        h3{
            text-align: center;
        }
        .all .main{
            flex-wrap: wrap;
            display: flex;
        }
        .all .input-group{
            margin:4px 6%;
        }
        .all .danxuan{
            width: 66.66%;
            margin: 4px 16.66%;
        }
        #tanchuang{
            position: fixed;
            z-index: 999;
            width: 100%;
            height: 100%;
            top: 0;
            left: 0;
            background: rgba(0,0,0,0.5);
        }
        #tanchuang .tanbox{
            width: 240px;
            height: 120px;
            background: #fff;
            position: absolute;
            left: 50%;
            top: 50%;
            margin-left: -120px;
            margin-top: -60px;
            border-radius: 15px;
        }
        .tanbox .status{
            width: 80%;
            height: 70%;
            margin: 10%;
        }
        .tanbox .status text{
            display: inline-block;
            width: 100%;
            text-align: center;
            margin-top: 10px;
        }
        .tanbox .status .title{
            display: inline-block;
            width: 100%;
            font-size: 20px;
            font-weight: 700;
            text-align: center;
            color: #f04;
            margin-top: 10px;
        }
        .tanbox .status button{
            width: 80px;
            margin-left: 52px;
            margin-top: 10px;
        }
        .tanbox .b2 button{
            width: 80px;
            margin-left: 10px;
            margin-top: 10px;
        }
    </style>
</head>
<body>
<script type="text/javascript">
    var url = '';
    var downurl = '';
    var yan = 0;
    var countdown = 60;
    var sending = false;
    function settime(obj) { //发送验证码倒计时
        console.log(obj)

        if (countdown == 0) {
            obj.attr('disabled', false);
            obj.val("发送验证码");
            countdown = 60;
            sending = false;
            return;
        } else {
            obj.attr('disabled', true);
            obj.val("重新发送(" + countdown + ")");
            countdown--;
        }
        setTimeout(function () {
            settime(obj);
        }, 1000)
    }

    function submits(){
        var mobile = $('#mobile').val();
        if(mobile == '' || !phonenum(mobile)){
            alert('请输入正确手机号');
        }else{
            $.ajax({
                url:"{{ url('/web/Index/index') }}",
                headers: {
                    'X-CSRF-TOKEN': "{{ csrf_token() }}"
                },
                type:'POST',
                data:{
                    mobile:mobile,
                    name:$('#name').val(),
                    age:$('#age').val(),
                    sex:$('input[name="sex"]:checked ').val(),
                    sample_type:$('input[name="sample_type"]:checked ').val(),
                    nationality:$('#nationality').val(),
                    native_place:$('#native_place').val(),
                    email:$('#email').val(),
                    work:$('#work').val(),
                    address:$('#address').val(),
                    verify:$('#verify').val()
                },
                success:function (msg) {
                    if(msg.state ==0){
                        tijiao(0,'','',msg.err);
                    } else if(msg.state ==1){
                        tijiao(1,msg.redirect_url,'',msg.err);
                    } else if(msg.state ==2){
                        tijiao(2,msg.redirect_url,msg.pdf_url,msg.err);
                    }
                }
            });
        }

    }

    function tijiao(status,redirect_url,pdf_url,ttt){
            window.url = redirect_url;
            window.downurl = pdf_url;
            var tanc=document.getElementById("tanchuang")
                tanc.style="display:auto;"
             //   var status = 0
            var tbox = document.getElementsByClassName("status");
            if(status==0){
                tbox[0].style="display:auto;"
                tbox[1].style="display:none;"
                tbox[2].style="display:none;"
                var txt1 = document.getElementById("txt1");
                txt1.value = ttt+'!';
                console.log(txt1)
            }else if(status==1){
                tbox[1].style="display:auto;"
                tbox[0].style="display:none;"
                tbox[2].style="display:none;"
                var txt2 = document.getElementById("txt2");
                txt2.value = ttt+'!';
                console.log(txt2)
            }else{
                tbox[1].style="display:none;"
                tbox[0].style="display:none;"
                tbox[2].style="display:auto;"
                var txt3 = document.getElementById("txt3");
                txt3.value = ttt+'!';
                console.log(txt3)
            }
        }
        function thebtn(e){
            var id = e.id;
            console.log(id)
            if(id=='fail'){
                closebox();
            }else if(id=='yeah'){
                window.location.href=url
            }else if(id=='download'){
                var elemIF = document.createElement("iframe");
                elemIF.src = downurl;
                elemIF.style.display = "none";
                document.body.appendChild(elemIF);
            }else{
                window.location.href=url
            }
        }
        function closebox(){
            var tanc=document.getElementById("tanchuang")
                tanc.style="display:none;"
        }
        function phonenum(phone) {
            var myreg=/^[1][3,4,5,7,8][0-9]{9}$/;
            if (!myreg.test(phone)) {
                return false;
            } else {
                return true;
            }

        }
    function closeyan(){
        var yanz=document.getElementById("yanz")
        yanz.style="display:none;";
    }
    function yanzhengma(){

        var mobile = $('#mobile').val();
        if(mobile == '' || phonenum(mobile)){
            alert('请输入正确手机号');
        }else{
            var yanzheng = document.getElementById("yzma");
            yanzheng.style="display:auto;";
            sending = true;
            var obj = $("#fasong");
            settime(obj);
            $.ajax({
                headers: {
                    'X-CSRF-TOKEN': "{{ csrf_token() }}"
                },
                type:'POST',
                data:{
                    mobile:mobile
                },
                url:"{{ url('/web/Index/smsJuHe') }}",
                success:function (msg) {
                    if(msg.state ==1){
                        alert('发送成功');
                    }else{
                        alert(msg.err);
                    }
                }
            });
        }

    }
</script>
<div class="all">
        <div class="col-xs-0 col-lg-2"></div>
        <div class="col-xs-12 col-lg-8 main" style="margin: 0 auto;margin-top: 10px;">
            <div class="col-xs-12 col-lg-12 imgbox" style="width:100%;margin-bottom:20px;display: flex;height: auto;" >
                <div  class="col-xs-0 col-lg-2"></div>
                <img  class="col-xs-3 col-lg-1" src="{{cdn_asset('/assets/img/logo.jpg')}}">
                <h3  class="col-lg-8">健康体检服务知情同意书</h3>
            </div>
            
            <form class="bs-example bs-example-form main" role="form">
                <div class="col-xs-12 col-lg-4 input-group input">
                    <span class="input-group-addon">姓名：</span>
                    <input type="text" class="form-control" name="name" id="name" placeholder="请输入姓名" required>
                </div>
                <div class="col-xs-12 col-lg-4 input-group input">
                    <span class="input-group-addon">籍贯：</span>
                    <input type="text" class="form-control" name="native_place" id="native_place" placeholder="请输入籍贯" required>
                </div>
                <div class="col-xs-12 col-lg-4 input-group input">
                    <span class="input-group-addon">民族：</span>
                    <input type="text" class="form-control" name="nationality" id="nationality" placeholder="请输入民族" required>
                </div>
                <div class="col-xs-12 col-lg-4 input-group input">
                    <span class="input-group-addon">年龄：</span>
                    <input type="text" class="form-control" name="age" id="age" placeholder="请输入年龄" required>
                </div>
                <div class="col-xs-12 col-lg-4 input-group input">
                    <span class="input-group-addon">职业：</span>
                    <input type="text" class="form-control" name="work" id="work" placeholder="请输入职业" required>
                </div>
                <div class="col-xs-12 col-lg-4 input-group input">
                    <span class="input-group-addon">邮箱地址：</span>
                    <input type="text" class="form-control" name="email" id="email" placeholder="请输入邮箱" required>
                </div>
                <div class="col-xs-12 col-lg-6 input-group">
                    <span class="input-group-addon">住址：</span>
                    <input type="text" class="form-control" name="address" id="address" placeholder="请输入住址" required>
                </div>


                <div class="col-xs-12 col-lg-12 input-group" style="display: flex;flex-wrap: wrap;">
                    <div class="col-xs-12 col-lg-6 input-group" style="display: flex;margin:4px 0;">
                        <span style="width: 20%;line-height: 20px;font-size: 10px;" class="input-group-addon">手机号</span>
                        <input style="width: 44%;" type="text" name="mobile" id="mobile" class="form-control" placeholder="请输入手机号" required>
                        <input style="width:36%;font-size: 10px;" class="btn btn-default" id="fasong" value="获取验证码" onclick="yanzhengma()"/>
                    </div>
                    <div id="yzma" class="col-xs-12 col-lg-4 input-group" style="margin:4px 0;">
                        <input style="width: 100%;" type="text" name="verify" id="verify" class="form-control" placeholder="请输入验证码" required>
                    </div>

                </div>
                <div class="danxuan">
                    <label for="name">性别：</label>
                    <div>
                        <label class="checkbox-inline">
                            <input name="sex" type="radio" value="1" checked>男
                        </label>
                        <label class="checkbox-inline">
                            <input name="sex" type="radio" value="0">女
                        </label>
                    </div>
                    <label for="name">样本类型:</label>
                    <div class="checkbox">
                        <label><input type="radio" value="0" name="sample_type" checked>EDTA抗凝静脉血</label>
                    </div>
                    <div class="checkbox">
                        <label><input type="radio" value="1" name="sample_type">口腔拭子</label>
                    </div>
                    <div class="checkbox">
                        <label><input type="radio" value="2" name="sample_type">宫颈刷</label>
                    </div>
                    <button style="margin-left: 45%;margin-bottom: 20px;" type="button" onclick="submits()" class="btn btn-default">提交</button>
                    </div>
                </div>
                <div id="tanchuang" style="display: none;">
                    <div class="tanbox">
                        <div style="width: 20px;height: 20px;text-align: center;position: absolute;top: -5px;right: -5px;background: #000;font-weight:700;color:#fff;border-radius: 20px;" onclick="closebox()">X</div>
                        <div class="status b0">
                            <text id="txt1" class="title"></text>
                        </div>
                        <div class="status b1">
                            <text id="txt2" class="title"></text>
                            <button class="btn btn-default" id="yeah" type="button" onclick="thebtn(this)">下一页！</button>
                        </div>
                        <div class="status b2">
                            <text id="txt3" class="title"></text>
                            <button class="btn btn-default" id="next" type="button" onclick="thebtn(this)">下一页！</button>
                            <button class="btn btn-default" id="download" type="button" onclick="thebtn(this)">下载！</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
<!-- jQuery (Bootstrap 的 JavaScript 插件需要引入 jQuery) -->
<script src="{{cdn_asset('/assets/js/jquery-3.2.1.js')}}"></script>
<script src="{{cdn_asset('/assets/js/bootstrap.min.js')}}"></script>

</body>
</html>